# -*- encoding: utf-8 -*-
# stub: recog 2.3.23 ruby lib

Gem::Specification.new do |s|
  s.name = "recog".freeze
  s.version = "2.3.23"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Rapid7 Research".freeze]
  s.date = "2022-03-30"
  s.description = "Recog is a framework for identifying products, services, operating systems, and hardware by matching fingerprints against data returned from various network probes. Recog makes it simply to extract useful information from web server banners, snmp system description fields, and a whole lot more.".freeze
  s.email = ["research@rapid7.com".freeze]
  s.executables = ["recog_cleanup".freeze, "recog_export".freeze, "recog_match".freeze, "recog_standardize".freeze, "recog_verify".freeze]
  s.files = [".github/ISSUE_TEMPLATE/bug_report.md".freeze, ".github/ISSUE_TEMPLATE/feature_request.md".freeze, ".github/ISSUE_TEMPLATE/fingerprint_request.md".freeze, ".github/PULL_REQUEST_TEMPLATE".freeze, ".github/SECURITY.md".freeze, ".github/dependabot.yml".freeze, ".github/workflows/ci.yml".freeze, ".github/workflows/verify.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".ruby-gemset".freeze, ".ruby-version".freeze, ".snyk".freeze, ".travis.yml".freeze, ".vscode/bin/monitor-recog-fingerprints.sh".freeze, ".vscode/extensions.json".freeze, ".vscode/settings.json".freeze, ".vscode/tasks.json".freeze, ".yardopts".freeze, "CONTRIBUTING.md".freeze, "COPYING".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "bin/recog_cleanup".freeze, "bin/recog_export".freeze, "bin/recog_match".freeze, "bin/recog_standardize".freeze, "bin/recog_verify".freeze, "cpe-remap.yaml".freeze, "features/data/failing_banners_fingerprints.xml".freeze, "features/data/matching_banners_fingerprints.xml".freeze, "features/data/multiple_banners_fingerprints.xml".freeze, "features/data/no_tests.xml".freeze, "features/data/sample_banner.txt".freeze, "features/data/schema_failure.xml".freeze, "features/data/successful_tests.xml".freeze, "features/data/tests_with_failures.xml".freeze, "features/data/tests_with_warnings.xml".freeze, "features/match.feature".freeze, "features/support/aruba.rb".freeze, "features/support/env.rb".freeze, "features/support/hooks.rb".freeze, "features/verify.feature".freeze, "identifiers/README.md".freeze, "identifiers/fields.txt".freeze, "identifiers/hw_device.txt".freeze, "identifiers/hw_family.txt".freeze, "identifiers/hw_product.txt".freeze, "identifiers/os_architecture.txt".freeze, "identifiers/os_device.txt".freeze, "identifiers/os_family.txt".freeze, "identifiers/os_product.txt".freeze, "identifiers/service_family.txt".freeze, "identifiers/service_product.txt".freeze, "identifiers/vendor.txt".freeze, "lib/recog.rb".freeze, "lib/recog/db.rb".freeze, "lib/recog/db_manager.rb".freeze, "lib/recog/fingerprint.rb".freeze, "lib/recog/fingerprint/regexp_factory.rb".freeze, "lib/recog/fingerprint/test.rb".freeze, "lib/recog/fingerprint_parse_error.rb".freeze, "lib/recog/formatter.rb".freeze, "lib/recog/match_reporter.rb".freeze, "lib/recog/matcher.rb".freeze, "lib/recog/matcher_factory.rb".freeze, "lib/recog/nizer.rb".freeze, "lib/recog/verifier.rb".freeze, "lib/recog/verify_reporter.rb".freeze, "lib/recog/version.rb".freeze, "misc/convert_mysql_err".freeze, "misc/order.xsl".freeze, "recog.gemspec".freeze, "requirements.txt".freeze, "spec/data/best_os_match_1.yml".freeze, "spec/data/best_os_match_2.yml".freeze, "spec/data/best_service_match_1.yml".freeze, "spec/data/external_example_fingerprint.xml".freeze, "spec/data/external_example_fingerprint/hp_printer_ex_01.txt".freeze, "spec/data/external_example_fingerprint/hp_printer_ex_02.txt".freeze, "spec/data/external_example_illegal_path_fingerprint.xml".freeze, "spec/data/smb_native_os.txt".freeze, "spec/data/test_fingerprints.xml".freeze, "spec/data/verification_fingerprints.xml".freeze, "spec/data/whitespaced_fingerprint.xml".freeze, "spec/lib/fingerprint_self_test_spec.rb".freeze, "spec/lib/recog/db_spec.rb".freeze, "spec/lib/recog/fingerprint/regexp_factory_spec.rb".freeze, "spec/lib/recog/fingerprint_spec.rb".freeze, "spec/lib/recog/formatter_spec.rb".freeze, "spec/lib/recog/match_reporter_spec.rb".freeze, "spec/lib/recog/nizer_spec.rb".freeze, "spec/lib/recog/verify_reporter_spec.rb".freeze, "spec/spec_helper.rb".freeze, "tools/dev/hooks/pre-commit".freeze, "update_cpes.py".freeze, "xml/apache_modules.xml".freeze, "xml/apache_os.xml".freeze, "xml/architecture.xml".freeze, "xml/dhcp_vendor_class.xml".freeze, "xml/dns_versionbind.xml".freeze, "xml/favicons.xml".freeze, "xml/fingerprints.xsd".freeze, "xml/ftp_banners.xml".freeze, "xml/h323_callresp.xml".freeze, "xml/hp_pjl_id.xml".freeze, "xml/html_title.xml".freeze, "xml/http_cookies.xml".freeze, "xml/http_servers.xml".freeze, "xml/http_wwwauth.xml".freeze, "xml/imap_banners.xml".freeze, "xml/ldap_searchresult.xml".freeze, "xml/mdns_device-info_txt.xml".freeze, "xml/mdns_workstation_txt.xml".freeze, "xml/mysql_banners.xml".freeze, "xml/mysql_error.xml".freeze, "xml/nntp_banners.xml".freeze, "xml/ntp_banners.xml".freeze, "xml/operating_system.xml".freeze, "xml/pop_banners.xml".freeze, "xml/rsh_resp.xml".freeze, "xml/rtsp_servers.xml".freeze, "xml/sip_banners.xml".freeze, "xml/sip_user_agents.xml".freeze, "xml/smb_native_lm.xml".freeze, "xml/smb_native_os.xml".freeze, "xml/smtp_banners.xml".freeze, "xml/smtp_debug.xml".freeze, "xml/smtp_ehlo.xml".freeze, "xml/smtp_expn.xml".freeze, "xml/smtp_help.xml".freeze, "xml/smtp_mailfrom.xml".freeze, "xml/smtp_noop.xml".freeze, "xml/smtp_quit.xml".freeze, "xml/smtp_rcptto.xml".freeze, "xml/smtp_rset.xml".freeze, "xml/smtp_turn.xml".freeze, "xml/smtp_vrfy.xml".freeze, "xml/snmp_sysdescr.xml".freeze, "xml/snmp_sysobjid.xml".freeze, "xml/ssh_banners.xml".freeze, "xml/telnet_banners.xml".freeze, "xml/tls_jarm.xml".freeze, "xml/x11_banners.xml".freeze, "xml/x509_issuers.xml".freeze, "xml/x509_subjects.xml".freeze]
  s.homepage = "https://www.github.com/rapid7/recog".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.1".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Network service fingerprint database, classes, and utilities".freeze
  s.test_files = ["features/data/failing_banners_fingerprints.xml".freeze, "features/data/matching_banners_fingerprints.xml".freeze, "features/data/multiple_banners_fingerprints.xml".freeze, "features/data/no_tests.xml".freeze, "features/data/sample_banner.txt".freeze, "features/data/schema_failure.xml".freeze, "features/data/successful_tests.xml".freeze, "features/data/tests_with_failures.xml".freeze, "features/data/tests_with_warnings.xml".freeze, "features/match.feature".freeze, "features/support/aruba.rb".freeze, "features/support/env.rb".freeze, "features/support/hooks.rb".freeze, "features/verify.feature".freeze, "spec/data/best_os_match_1.yml".freeze, "spec/data/best_os_match_2.yml".freeze, "spec/data/best_service_match_1.yml".freeze, "spec/data/external_example_fingerprint.xml".freeze, "spec/data/external_example_fingerprint/hp_printer_ex_01.txt".freeze, "spec/data/external_example_fingerprint/hp_printer_ex_02.txt".freeze, "spec/data/external_example_illegal_path_fingerprint.xml".freeze, "spec/data/smb_native_os.txt".freeze, "spec/data/test_fingerprints.xml".freeze, "spec/data/verification_fingerprints.xml".freeze, "spec/data/whitespaced_fingerprint.xml".freeze, "spec/lib/fingerprint_self_test_spec.rb".freeze, "spec/lib/recog/db_spec.rb".freeze, "spec/lib/recog/fingerprint/regexp_factory_spec.rb".freeze, "spec/lib/recog/fingerprint_spec.rb".freeze, "spec/lib/recog/formatter_spec.rb".freeze, "spec/lib/recog/match_reporter_spec.rb".freeze, "spec/lib/recog/nizer_spec.rb".freeze, "spec/lib/recog/verify_reporter_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  s.specification_version = 4

  s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  s.add_development_dependency(%q<yard>.freeze, [">= 0"])
  s.add_development_dependency(%q<redcarpet>.freeze, [">= 0"])
  s.add_development_dependency(%q<cucumber>.freeze, [">= 0"])
  s.add_development_dependency(%q<aruba>.freeze, [">= 0"])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 0"])
end

